Blooio API Reference
Phone Numbers

Look up a phone number

Returns detailed information about a phone number including validation, formatting (E.164, national, international), number type, and NANPA geocoding (city, state/province) for North American numbers. The geocoding data is sourced from different database with 240,000+ NPA-NXX entries.

Requires an Enterprise plan (Dedicated Enterprise). Returns 403 if your organization does not have an active enterprise subscription.

GET
/phone-numbers/lookup

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

number*string

Phone number to look up. Can be E.164 format (+12125551234), national format (2125551234), or with formatting ((212) 555-1234).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://backend.blooio.com/v2/api/phone-numbers/lookup?number=%2B12125551234"
{
  "input": "+12125551234",
  "valid": true,
  "possible": true,
  "e164": "+12125551234",
  "national": "(212) 555-1234",
  "international": "+1 212 555 1234",
  "country_calling_code": "1",
  "country": "US",
  "national_number": "2125551234",
  "type": "FIXED_LINE_OR_MOBILE",
  "location": {
    "city": "New York",
    "region": "NY",
    "region_name": "New York"
  },
  "area_code": "212",
  "exchange": "555",
  "area_code_region": "New York, NY"
}
{
  "error": "string",
  "status": 0
}
{
  "error": "string",
  "status": 0
}
{
  "error": "string",
  "status": 0
}